Installation:
-------------

Extract the provided archive into your ~/.vim/ or ~/vimfiles/ directory
(depending on your System) keeping the folder structure. Overwrite krl.vim and
krl.txt files from older installation. I don't know how other methods might
work.

To fully use these scripts put >
    filetype plugin indent on
    syntax on
in your .vimrc

You may have to run >
    :helptags ~/.vim/doc/
or >
    :helptags ~/vimfiles/doc/
to use the help within Vim afterwards. >
    :help krl

Or just open the file .../doc/krl.txt

tl:dr
Q: Why so many options?
A: I try not to interfere with user settings to much. So I made most of the
    settings that get changed optional.

Q: I'm here to feed my kids, not to read. Do you have a quick suggestion on
    krl settings for my |.vimrc|?
A: Yes: >
    let g:krlMoveAroundKeyMap=1 " try out [[, ]], [] and ][
    let g:krlGoDefinitionKeyMap=1 " try out gd on a variable or function
    let g:krlShowError=1 " shows some syntax errors
    " if you want all folds to close (case sensitiv)...
    let g:krlCloseFolds=1 " switch folding to all
    " or else if you don't like any closed folds use:
    " let g:krlCloseFolds=2 " switch folding off
    " if you use colorscheme tortus use:
    " let g:krlNoHighLink=1 " even more colors 
    " don't forget
    " filetype plugin indent on


Helptags:

krl	krl.txt	/*krl*
krl.txt	krl.txt	/*krl.txt*
krl-tl:dr	krl.txt	/*krl-tl:dr*
krl-index	krl.txt	/*krl-index*
krl-options	krl.txt	/*krl-options*
g:krlShowError	krl.txt	/*g:krlShowError*
g:krlNoVerbose	krl.txt	/*g:krlNoVerbose*
g:krlNoSpaceIndent	krl.txt	/*g:krlNoSpaceIndent*
g:krlNoPath	krl.txt	/*g:krlNoPath*
g:krlNoKeyWord	krl.txt	/*g:krlNoKeyWord*
g:krlNoIndent	krl.txt	/*g:krlNoIndent*
g:krlNoHighlight	krl.txt	/*g:krlNoHighlight*
g:krlNoHighLink	krl.txt	/*g:krlNoHighLink*
g:krlMoveAroundKeyMap	krl.txt	/*g:krlMoveAroundKeyMap*
g:krlGoDefinitionKeyMap	krl.txt	/*g:krlGoDefinitionKeyMap*
g:krlFormatComments	krl.txt	/*g:krlFormatComments*
g:krlFoldKeyMap	krl.txt	/*g:krlFoldKeyMap*
g:krlCloseFolds	krl.txt	/*g:krlCloseFolds*
g:krlAutoComment	krl.txt	/*g:krlAutoComment*
krl-jump-quickly	krl.txt	/*krl-jump-quickly*
krl-matchit-support	krl.txt	/*krl-matchit-support*
krl-indent	krl.txt	/*krl-indent*
krl-folding	krl.txt	/*krl-folding*
krl-highlighting	krl.txt	/*krl-highlighting*
krl-formatting-comments	krl.txt	/*krl-formatting-comments*
krl-keyword-chars	krl.txt	/*krl-keyword-chars*
krl-word	krl.txt	/*krl-word*
krl-known-bugs	krl.txt	/*krl-known-bugs*
krl-indent-bugs	krl.txt	/*krl-indent-bugs*
krl-highlight-bugs	krl.txt	/*krl-highlight-bugs*

